package com.mx.dla.dda.contrato.fees.bos;

import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import com.mx.dla.dda.common.test.BaseDaoTest;
import com.mx.dla.dda.contrato.fees.daos.FeesContratoDAO;
import com.mx.dla.dda.contrato.fees.dtos.CategoriaFeesDTO;

public class FeesTest extends BaseDaoTest {

	@Autowired
	private FeesContratoDAO feesContratoDAO;
			
	@Test(enabled = false)
	public void guardarCategoria(){
		CategoriaFeesDTO item = new CategoriaFeesDTO("catp1");
		
		feesContratoDAO.guardarCategoria(item, 158L);
		
		logger.debug(item.toString());
	}
										
	@Test(enabled = false)
	public void eliminarCategoriasContrato(){
		feesContratoDAO.eliminarContratoPago(158l);		
	}
		
}
